org.deidentifier.arx.gui.view.impl.wizard

## Class HierarchyWizardEditorRenderer.RenderedInterval<T>

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardEditorRenderer.RenderedComponent<T>
  - - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardEditorRenderer.RenderedInterval<T>

Type Parameters:
  `T` -

Enclosing class:
  HierarchyWizardEditorRenderer<T>

    public static class HierarchyWizardEditorRenderer.RenderedInterval<T>
    extends HierarchyWizardEditorRenderer.RenderedComponent<T>

A rendering context for an interval.

Author:
  Fabian Prasser

### Field Summary

Fields
`HierarchyWizardModelGrouping.HierarchyWizardGroupingInterval<T>` `interval` Var.
`T` `offset` Var.

### Fields inherited from class org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardEditorRenderer.RenderedComponent

`bounds, enabled, label, max, min, rectangle1, rectangle2`

### Constructor Summary

Constructors
Constructor and Description
`RenderedInterval()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object obj)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### interval

    public HierarchyWizardModelGrouping.HierarchyWizardGroupingInterval<T> interval

Var.

#### offset

    public T offset

Var.

### Constructor Detail

#### RenderedInterval

    public RenderedInterval()

### Method Detail

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`